/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package romas.com.boards;

import processing.core.*;
import processing.serial.Serial;

/**
 *
 * @author apaliani
 */
public class TestArduino2009 extends PApplet{

    public TestArduino2009(){}
    
	//this is the main of the java program (where the program begins)
	//this simply tells java to run the PApplet (the Processing applet)
	//so really Processing is just running inside java (make sure to choose run as Java Application)
	public static void main(String args[]) {
									   //package.javafilename
		PApplet.main(new String[] {"romas.com.boards.TestArduino2009" });
	}



    Serial myPort;

    String sValue = "0";

    boolean test = true;

    @Override
	public void setup()	//setup the arduino and anything else for your program
	{
        size(405,405);
        frameRate(25);

        myPort = new Serial(this, "COM18", 9600);

        smooth();
        strokeWeight(2.0f);

        ellipseMode(RADIUS);
        //pushMatrix();
        background(100,100,100);
        //center image
        translate(width/2,height/2);

        stroke(10,10,40);
        ellipse(0,0,20,20);

        stroke(230,30,40);
	}


    @Override
	public void draw()	//this "draw" function; just loops until you shut off the program
	{
        int value = 0;

        if(myPort.available() > 0){
            while(myPort.available() > 0){
                sValue +=(char)myPort.read();
            }
            if(sValue.length() > 5){
                try{

                    String sensorName = sValue.substring(0,5).trim();

                    if (sensorName.equals("SR01:")){
                        sValue = sValue.substring(5,sValue.length()-1).trim();
                        println(sensorName + "'"+ sValue +"'");
                        value = 200 - (Integer.parseInt(sValue.toString()) / 3);
                        background(100,100,100);

                        translate(width/4,height/4);
                        ellipse(0,0,value,value);
                    }
                }catch(Exception ex){}
            }
        }
        sValue = "";

        // request SR
        myPort.write(49);

        delay(200);

        if (test){
            // FORWARD
            myPort.write(55);
            delay(1000);
            // RIGHT
            myPort.write(54);
            delay(1000);
            // BREAK
            myPort.write(57);
            test = false;
        }
    }
}


