/*
 * DIRECTIVES.java
 *
 * Created on 26 febbraio 2009, 18.12
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 *
 *
 *In questa classe vengono memorizzate le direttive:
 *
 *La direttiva rappresenta una seguenza di istruzini da far eseguire al sistema
 *
 *la tabella  molto simile alla ACTIONS_PROCESS_TABLE soltanto che non ha i dati del processo 
 *ed ha come dati aggiunti il nome, la descrizione della direttiva ed i flag 
 *ENABLED : che indica se la direttiva  attiva
 *ON_START: che indica al sistema se la direttiva deve essere eseguita all'avvio.
 */

package romas.com.data.tables;

import java.util.Vector;

/**
 *
 * @author APaliani
 */
public class DIRECTIVES extends TABLE{   
    
    //SCOPE
    public String SCOPE_NAME_ACTIONS_PROCESS = ""; // scope ereditato dall'azione
    public int SCOPE_PRIORITY_ACTION_PROCESS = 0; //priorit dello scope
    
    //ACTION
    public int PRIORITY_ACTIONS_PROCESS	= 0; // priorit assegnata
    public String NAME_ACTION_ACTIONS_PROCESS = ""; // Azione
    public String COMMAND_ACTIONS_PROCESS = ""; // COMANDO richiesto    
    public Vector PARAMS_ACTIONS_PROCESS = new Vector(); // parametri assegnati all'azione
    public int SEQUENCE_ACTION_DIRECTIVE = 0;  // identifica il progressivo dell'azione all'interno della direttiva
    public int NUMBER_ITERATION_ACTION_DIRECTIVE = 0; // numero di esecuzioni da eseguire
    
    // DIRECTIVES
    public String NAME_DIRECTIVE = "";         // nome della DIRETTIVA    
    public boolean START_ON_RUN_DIRECTIVE = false; // idenitfica se la direttiva deve essere eseguita all'avvio
    public boolean ENABLED_DIRECTIVE = false;  // idenitfica se la direttiva  attiva    

    //
    // This next field is not treated as a data field
    // because it starts with a '_' character.
    //
    public String _sorts = "By Name$x|NAME_DIRECTIVE,PRIORITY_ACTIONS_PROCESS,SEQUENCE_ACTION_DIRECTIVE|"+
                           "By StartOnRun|START_ON_RUN_DIRECTIVE,NAME_DIRECTIVE|"+
                           "By Enabled|ENABLED_DIRECTIVE,PRIORITY_ACTIONS_PROCESS,SEQUENCE_ACTION_DIRECTIVE|"+
                           "By Priority$x|PRIORITY_ACTIONS_PROCESS,SEQUENCE_ACTION_DIRECTIVE|"+
                           "By Scope$x|SCOPE_NAME_ACTIONS_PROCESS,PRIORITY_ACTIONS_PROCESS,SEQUENCE_ACTION_DIRECTIVE";
}
