/*
 * TABLE.java
 *
 * Created on 5 marzo 2009, 22.31
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package romas.com.data.tables;

import java.lang.reflect.*;
import java.util.logging.*;

import eve.database.*;
import romas.util.LogWriter;

/**
 *
 * @author APaliani
 */
public abstract class TABLE {
    
    /** Creates a new instance of TABLE */
    public TABLE() {
    }
    
    
    /**
     *Ritorna la lista dei campi con i valori associati
     */
    public static final String toString(Object table)
    {
        String infoTable = "";
        try
        {
            Class classObject = table.getClass();
            String className = classObject.getName();

            Field[] fields = classObject.getFields();
            infoTable = className + " - FIELDS: ";

            for(int i=0; i<fields.length; i++)
            {
                Field field = fields[i];

                Object valueFiled = field.get(table);
                String namefield = field.getName();
                infoTable += String.format("%s : [%s] | ", namefield, valueFiled);
            }
        }
        catch(Exception ex)
        {
            System.err.println(ex.getMessage());
        }
        return infoTable;
    }
    
    
    public static final void logDataAll(Database database, Logger logger, String sortName)throws Exception
    {
        int sortId = database.findSort(sortName); 
        FoundEntries dataFE = database.getFoundEntries(null, sortId); 
        EntriesView dataEV = dataFE.getEmptyView(); 
        dataEV = dataEV.search(null, "*");
        dataEV.sort(false);
        
        for(int i=0; i<dataEV.size(); i++)
        {
            Object object = dataEV.get(i).getData();
            LogWriter.writeLog(Level.FINE, "DATA in table " + toString(object)) ;
        }
    }
    
    
}
