/*
 * ACTION_SCOPE.java
 *
 * Created on 25 febbraio 2009, 11.40
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package romas.com.data.tables.foreignkeys;

import eve.database.*;
import eve.database.implement.*; 
import eve.ui.advanced.database.*;
import java.util.Hashtable;

import romas.services.ActionService;
import romas.services.ActionService.SERVICE_TYPE;
import romas.com.data.tables.TABLE;

/**
 *
 * @author APaliani
 */
public class ACTION_SCOPE  extends TABLE{
    
    /**
     * Creates a new instance of ACTION_SCOPE
     */
    public int PRIORITY_SCOPE = 0;
    public String NAME_SCOPE = "";


    // This next field is not treated as a data field
    // because it starts with a '_' character.
    // LOAD_DEFAULT
    public String _sorts = "By PriorityScope$x|PRIORITY_SCOPE";


    public ACTION_SCOPE(){}
    
    public ACTION_SCOPE(int priority, String name)
    {
        PRIORITY_SCOPE = priority;
        NAME_SCOPE = name;
    }
    
    @SuppressWarnings("unchecked")
    public static Hashtable getList()
    {
        Hashtable hashList = new Hashtable();
        
        hashList.put("DIRECTIVE", new ACTION_SCOPE(SERVICE_TYPE.BASIC_SERVICE, "DIRECTIVE"));
        
        hashList.put("SENSOR", new ACTION_SCOPE(SERVICE_TYPE.PRIMARY_SERVICE, "SENSOR"));
        hashList.put("VIDEO", new ACTION_SCOPE(SERVICE_TYPE.PRIMARY_SERVICE, "VIDEO"));
        hashList.put("SPEAK_RECOGNITION", new ACTION_SCOPE(SERVICE_TYPE.PRIMARY_SERVICE, "SPEAK_RECOGNITION"));
        hashList.put("SPEAKER", new ACTION_SCOPE(SERVICE_TYPE.PRIMARY_SERVICE, "SPEAKER"));
        
        hashList.put("MOVEMENT", new ACTION_SCOPE(SERVICE_TYPE.SECONDARY_SERVICE, "MOVEMENT"));
        hashList.put("ACTUATOR", new ACTION_SCOPE(SERVICE_TYPE.SECONDARY_SERVICE, "ACTUATOR"));
        hashList.put("COMUNICATION", new ACTION_SCOPE(SERVICE_TYPE.SECONDARY_SERVICE, "COMUNICATION"));
        hashList.put("NAVIGATION", new ACTION_SCOPE(SERVICE_TYPE.SECONDARY_SERVICE, "NAVIGATION"));
        
        hashList.put("COMPUTER_VISION", new ACTION_SCOPE(SERVICE_TYPE.ADDITIONAL_SERVICE, "COMPUTER_VISION"));
        hashList.put("ALARM", new ACTION_SCOPE(SERVICE_TYPE.ADDITIONAL_SERVICE, "ALARM"));
        hashList.put("PERSONALITY", new ACTION_SCOPE(SERVICE_TYPE.ADDITIONAL_SERVICE, "PERSONALITY"));
        hashList.put("SENTINEL", new ACTION_SCOPE(SERVICE_TYPE.ADDITIONAL_SERVICE, "SENTINEL"));
        
        return hashList;
    }
}
