/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package romas.mobile;

import eve.ui.*;
/**
 *
 * @author apaliani
 */
public class PanelConnection extends Panel{


    public Input hostServerTextBox;
    public Input portVideoTextBox;
    public Input portCommunicationTextBox;
    public Button buttonExitCommand;
    public Button buttonConnectCommand;
    public Button buttonResetRomas;

        private ButtonBar buttonMainBar;

    public PanelConnection(String text, java.util.Hashtable hashAction){
        super.setText(text);
        Util.loadPropertiesFile();
        init();

        hashAction.put("actExit", "actExit");
        hashAction.put("actConnect", "actConnect");
        hashAction.put("actReconnect", "actReconnect");
        hashAction.put("RESET_ROMAS", "RESET_ROMAS");
    }


    private void init(){

        // ip server
	    addNext(new Label("I.P."),Form.STRETCH);
        String ipServer = Util.getPropertiesValue("ipserver");
        if(ipServer == null)ipServer = "127.0.0.1";
        addNext(hostServerTextBox = new Input(ipServer),Form.DONTSTRETCH);

        // video service port
        String videoPortServer = Util.getPropertiesValue("videoPortServer");
        if(videoPortServer == null)videoPortServer = "1088";
        addNext(new Label("Video"),Form.STRETCH);
        addNext(portVideoTextBox = new Input(videoPortServer),Form.DONTSTRETCH);

        // communication service port
        String commPortServer = Util.getPropertiesValue("commPortServer");
        if(commPortServer == null)commPortServer = "1080";
        addNext(new Label("Communication"),Form.STRETCH, Form.FILL);
        addLast(portCommunicationTextBox = new Input(commPortServer),Form.DONTSTRETCH);


        buttonMainBar = new ButtonBar();
        buttonConnectCommand = new Button("Connect");
        buttonConnectCommand.setAction("actConnect");
        buttonResetRomas = new Button("RESET ROMAS");
        buttonResetRomas.setAction("RESET_ROMAS");
        buttonExitCommand = new Button("Done");
        buttonExitCommand.setAction("actExit");

        buttonMainBar.addNext(buttonConnectCommand,Form.STRETCH, Form.FILL);
        buttonMainBar.addNext(buttonResetRomas,Form.STRETCH, Form.FILL);
        buttonMainBar.addNext(buttonExitCommand,Form.STRETCH, Form.FILL);
        addNext(buttonMainBar,Form.STRETCH, Form.FILL);

    }


}
