package eve.ui;
import eve.sys.Vm;

//##################################################################
public class HorizontalScrollPanel extends ScrollBarPanel{
//##################################################################

//-------------------------------------------------------------------
private final static int indicatorOnly() 
//-------------------------------------------------------------------
{
	return (Vm.getParameter(Vm.VM_FLAGS) & Vm.VM_FLAG_NO_PEN) == 0 ? 0 : OPTION_INDICATOR_ONLY;
}
//===================================================================
public HorizontalScrollPanel(ScrollClient client, boolean permanentScroller)
//===================================================================
{
	super(client,indicatorOnly() | (permanentScroller ? AlwaysShowHorizontalScrollers : 0));
	setClientConstraints(HEXPAND|VEXPAND|VCONTRACT);
}

//===================================================================
public void setClientConstraints(int constraints)
//===================================================================
{
	constraints |= VEXPAND|VCONTRACT;
	super.setClientConstraints(constraints);
}
//===================================================================
public HorizontalScrollPanel(ScrollClient client)
//===================================================================
{
	this(client,false);
}
//##################################################################
}
//##################################################################

