/*
 * Created on Aug 17, 2005
 *
 * Michael L Brereton - www.ewesoft.com
 * 
 * 
 */
package eve.ui;

import eve.data.HasProperties;
import eve.sys.EventListener;

/**
 * @author Michael L Brereton
 *
 */
//####################################################
public interface IFileSaver extends EventListener, HasProperties{

/*
 * This should return true if the Form should be allowed to exit after
 * it saves the data.
 */
	public boolean checkExit(Form f, Object data, int exitCode);
	public void setHasChanged(boolean hasChanged);
	public void setLastSaved(String lastSaved);
	public void newData(String newFileName);
	/**
	* This tells the FileSaver that new data is about to be created and
	* that the old data should be saved if it has been changed. newFileName
	* can be null to say that the new data is as yet unnamed.
	**/
//	===================================================================
	public boolean newData(Object oldData,String newFileName,Object parentFrame);
//	===================================================================
	public Exception getException();
}
//####################################################
