package eve.ui;
/**
 * This Interface is used to indicate that a Control can have sections of its data
 * selected for cutting/pasting/drag & dropping.
 * @author Michael L Brereton
 *
 */
//##################################################################
public interface Selectable{
//##################################################################

public boolean hasSelection();
public boolean noSelection();
public boolean deleteSelection();
public boolean replaceSelection(Object with);
public Object getSelection();

//##################################################################
}
//##################################################################

