/*
 * Created on Mar 25, 2006
 *
 * Michael L Brereton - www.ewesoft.com
 * 
 * 
 */
package eve.util;

/**
 * @author Michael L Brereton
 *
 */
//####################################################
public class TextData {

	public CharArray charArray;
	public char[] chars;
	public SubString subString;
	public String string;
	public ArraySection arraySection;
	/**
	 * Set one of the instance variables to be equal to the text. All others will
	 * be set to null.
	 * @param text an Object that can be one of many types of Text specifiers.
	 * @return
	 */
	public boolean set(Object text)
	{
		charArray = null;
		chars = null;
		subString = null;
		string = null;
		arraySection = null;
		
		if (text instanceof SubString) subString = (SubString)text;
		else if (text instanceof String) string = (String)text;
		else if (text instanceof char[]) chars = (char[])text;
		else if (text instanceof CharArray) charArray = (CharArray)text;
		else if (text instanceof ArraySection){
			arraySection = (ArraySection)text;
			if (!(arraySection.data instanceof char[])) arraySection = null;
		}else
			return false;
		return true;
	}
}
//####################################################
