/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package romas.com.data.hmm;

import java.io.*;

/**
 *
 * @author apaliani
 */
public class HMMTraining {

    static FileWriter writer;

    public HMMTraining(){}


    /**
     * Create new HMM Training file
     *
     * @param fileName
     * @param numDimentions
     * @param lenghtSequence
     * @param numSequences
     * @throws java.io.IOException
     */
    public static void creteNew(String fileName, int numDimentions, int lenghtSequence, int numSequences) throws IOException{
        writer = new FileWriter(fileName, false);
        writer.write(String.format("%s %s %s\n", String.valueOf(numDimentions), String.valueOf(lenghtSequence), String.valueOf(numSequences)));
        writer.flush();
        writer.close();
    }

    /**
     * Add sequence to HMM Training file
     *
     * @param sequence
     * @throws java.io.IOException
     */
    public static void addSequence(String fileName, String sequence) throws IOException{
        writer = new FileWriter(fileName, true);
        writer.write(sequence + "\n");
        writer.flush();
        writer.close();
    }
}
