
package romas.mobile.video.ui;

import java.io.*;
import eve.fx.*;
import eve.ui.*;
import eve.ui.game.AniImage;

/**
 *
 * @author nobili
 */
public class VideoScreen extends Canvas
{        
    
   public AniImage videoImage;
                       
   public VideoScreen(){       
      try
        {
            waitImage();
        }
        catch (IOException ioe)
        {
            System.out.println("videoScreen" + ioe.toString());
            ioe.printStackTrace();
        }                     
   }        
   
    public void waitImage() throws IOException{
        String dirName = System.getProperty("user.dir");
        try{            
            videoImage = new AniImage("icone/Wait.png");
        }
        catch(Exception ex){
            throw new IOException("File not found : " + dirName + File.separator + "icone" + File.separator + "Wait.png");
        }
    }
    
    public void setImage(AniImage vid){
      videoImage = vid;      
      repaintNow();
    }
    
    public void doPaint(Graphics g, Rect area){       				        
        g.setColor(Color.White);
        g.fillRect(0,0,getWidth(),getHeight());
        videoImage.draw(g, 0,0, Graphics.TOP | Graphics.HCENTER);    
    }	
	
    
}
