/*
 * Utility.java
 *
 * Created on 5 marzo 2009, 16.36
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package romas.util;


import java.util.Date;
import java.text.DateFormat;
import java.text.SimpleDateFormat;

/**
 *
 * @author APaliani
 */
public class Utility {
    
    /** Creates a new instance of Utility */
    public Utility() {
    }

    public static volatile boolean lock = false;
    public static volatile long prog = 0;

    /**
     *Restituisce la String della data attuale nel formattata in yyyy/MM/dd HH:mm:ss
     */
    public static String getDateTime() {
        DateFormat dateFormat = new SimpleDateFormat("yyyy/MM/dd HH:mm:ss");
        Date date = new Date();
        return dateFormat.format(date);
    } 
    
    
    /**
     *Restituisce la String della data attuale nel formattata in yyyyMMddHHmmssS
     */
    public static String getDateTimeID() throws Exception{
        try{
            while(lock){
                Thread.sleep(100);
            }
            lock = true;
            prog ++;

            DateFormat dateFormat = new SimpleDateFormat("yyyyMMddHHmmssSSS");
            Thread.sleep(10);
            Date date = new Date();            
            String id = dateFormat.format(date) + "_" + String.valueOf(prog);
            
            return id;
        }
        catch(Exception ex){
            throw ex;
        }
        finally{
            lock = false;
        }
    } 


    public static final int PADDING_LEFT = 0;
    public static final int PADDING_RIGHT = 1;
    public static String padString(String str, String paddingChar, int lngth, int paddingSide){
        if (str == null) {
            str = "";
        }
        if (str.length() < lngth) {
            for (int k = str.length(); k < lngth; k++) {
                if (paddingSide == PADDING_LEFT)
                    str = paddingChar + str;
                else if (paddingSide == PADDING_RIGHT)
                    str = str + paddingChar;
                else throw new IllegalArgumentException("paddingSide argument wrong!");
            }
        }
        return str;
    }

}
