package eve.util;
/**
* This interface indicates that a field-by-field <b>text</b> encoding is allowed
* on the implementing object. If the class declares a <b>public String _fields</b>
* variable, then only those fields will be encoded - otherwise all public fields
* will be encoded/decoded.<p>
* This should only be used for simple objects. More complex objects should
* extend eve.data.LiveObject and use that Class's method of encoding, or should
* implement ByteEncodable.
**/
//##################################################################
public interface Encodable{
//##################################################################
//##################################################################
}
//##################################################################

